<!-- <html>
  <body>
    <main>
      <div class="card">
        <ng-container *ngIf="product">
          <ng-container>
            <div class="card__title">
              <h3>CHI TIẾT SẢN PHẨM</h3>
            </div>
            <div class="card__body">
              <div class="half">
                <div class="featured_text">
                  <h1>{{ product.name }}</h1>
                  <p class="price">
                    {{ product.price | currency : "VND" : true : "1.0-0" }}
                  </p>
                </div>
                <div class="image">
                  <img [src]="product.image" alt="" />
                </div>
              </div>
              <div class="half">
                <div class="description">
                  <p>Mô tả: {{ product.description }}</p>
                </div>
              </div>
            </div>
            <div class="card__footer">
              <div class="recommend">
                <p>Sản phẩm thuộc</p>
                <h3>GENZ FASHION</h3>
              </div>
              <div class="action">
                <button type="button">
                  <a (click)="addToCart(product.id)" class="add-btn cart"
                    >+ Thêm vào giỏ hàng</a
                  >
                </button>
              </div>
            </div>
          </ng-container>
        </ng-container>
      </div>
    </main>
  </body>
</html> -->

<body>
  <main>
    <div class="card">
      <ng-container *ngIf="product">
        <div class="card__title">
          <h3>CHI TIẾT SẢN PHẨM</h3>
        </div>
        <div class="card__body">
          <div class="half">
            <div class="image">
              <img [src]="product.image" alt="{{ product.name }}" />
            </div>
          </div>
          <div class="half">
            <div class="featured_text">
              <h1>{{ product.name }}</h1>
              <p class="price">
                {{ product.price | currency : "VND" : true : "1.0-0" }}
              </p>
            </div>
            <div class="description">
              <p>Mô tả: {{ product.description }}</p>
            </div>
            <div class="card__footer">
              <div class="recommend">
                <p>Sản phẩm thuộc</p>
                <h3>GENZ FASHION</h3>
              </div>
              <div class="action">
                <button type="button" (click)="addToCart(product.id)">
                  Thêm vào giỏ hàng
                </button>
              </div>
            </div>
          </div>
        </div>
      </ng-container>
    </div>
  </main>
</body>
